%global __python %__python3

%global _desc \\\
DNF plugin to compare files from the original package contents with locally \
available files and display differences in text files, such as configuration \
changes or source code (for interpreted languages).

%global _summary Display local changes in files from installed RPM packages

Name:           dnf-plugin-diff
Version:        2.0
Release:        1.20250209200844735065.pr4.5.g53690dd%{?dist}
Summary:        %_summary

License:        GPLv2+
URL:            https://github.com/praiskup/%name
Source0:        dnf-plugin-diff-2.0.tar.gz

BuildRequires:  boost-devel
BuildRequires:  dnf5-devel
BuildRequires:  gcc-g++
BuildRequires:  libdnf5-cli-devel
BuildRequires:  python3-devel
BuildRequires:  make

Requires:       cpio
Requires:       python3-dnf
Requires:       python3-dnf-plugins-core
Requires:       file

Provides:       dnf-command(diff) = %version


%description
%_desc


%package -n dnf5-plugin-diff
Requires:       dnf5
Summary:        %_summary
Provides:       dnf5-command(diff) = %version


%description -n dnf5-plugin-diff
%_desc


%prep
%setup -q -n dnf-plugin-diff-2.0


%build
%configure PYTHON=python3
%make_build


%install
%make_install


%files
%license COPYING
%doc README
%_libexecdir/dnf-diff-*
%python3_sitelib/dnf-plugins


%files -n dnf5-plugin-diff
%license COPYING
%doc README
%_libexecdir/dnf-diff-*
%_libdir/dnf5/plugins/diff.so


%changelog
* Sun Feb 09 2025 Packit <hello@packit.dev> - 2.0-1.20250209200844735065.pr4.5.g53690dd
- Build the DNF5 plugin (Pavel Raiskup)
- ci: add Packit builds (Pavel Raiskup)
- rpm: specfile cleanup (Pavel Raiskup)
- Depend on python3-dnf, not dnf (Evan Goode)

* Mon Sep 03 2018 Pavel Raiskup <praiskup@redhat.com>
- no changelog in upstream git
